﻿$ErrorActionPreference = 'Stop'

$packageName= $env:ChocolateyPackageName
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/spf13/hugo/releases/download/v$($env:ChocolateyPackageVersion)/hugo_$($env:ChocolateyPackageVersion)_Windows-32bit.zip"
$url64      = "https://github.com/spf13/hugo/releases/download/v$($env:ChocolateyPackageVersion)/hugo_$($env:ChocolateyPackageVersion)_Windows-64bit.zip"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  url           = $url
  url64bit      = $url64

  checksum      = '89bac4deb7e8bd69f2394f050c40e3d752872272b1340ef1ba4f67e2603b2691'
  checksumType  = 'sha256'
  checksum64    = '9506561f9b67960d611c223ebee10f39f3168f5c6eaccd62d1d86dc892796080'
  checksumType64= 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
